<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Fri Jan 15 11:04:43 CET 2021 -->
<title>SerieService</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-01-15">
<meta name="description" content="declaration: package: fr.humanbooster.fx.gestion_de_series.service, interface: SerieService">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/SerieService.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.humanbooster.fx.gestion_de_series.service</a></div>
<h1 title="Interface SerieService" class="title">Interface SerieService</h1>
</div>
<section class="description">
<dl class="notes">
<dt>All Known Implementing Classes:</dt>
<dd><code><a href="impl/SerieServiceImpl.html" title="class in fr.humanbooster.fx.gestion_de_series.service.impl">SerieServiceImpl</a></code></dd>
</dl>
<hr>
<pre>public interface <span class="type-name-label">SerieService</span></pre>
</section>
<section class="summary">
<ul class="summary-list">
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="table-tab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t3" class="table-tab" onclick="show(4);">Abstract Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code><a href="../business/Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a></code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#ajouterSerie(java.lang.String,float)">ajouterSerie</a></span>&#8203;(java.lang.String&nbsp;nom,
float&nbsp;prixEnEuros)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code><a href="../business/Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a></code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#recupererSerie(java.lang.Long)">recupererSerie</a></span>&#8203;(java.lang.Long&nbsp;id)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>java.util.List&lt;<a href="../business/Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#recupererSeries()">recupererSeries</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><code>boolean</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#supprimerSerie(java.lang.Long)">supprimerSerie</a></span>&#8203;(java.lang.Long&nbsp;idSerie)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#trierSeriesParNom()">trierSeriesParNom</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i5">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#trierSeriesParPrix()">trierSeriesParPrix</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="ajouterSerie(java.lang.String,float)">
<h3>ajouterSerie</h3>
<div class="member-signature"><span class="return-type"><a href="../business/Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a></span>&nbsp;<span class="member-name">ajouterSerie</span>&#8203;(<span class="parameters">java.lang.String&nbsp;nom,
float&nbsp;prixEnEuros)</span></div>
</section>
</li>
<li>
<section class="detail" id="recupererSeries()">
<h3>recupererSeries</h3>
<div class="member-signature"><span class="return-type">java.util.List&lt;<a href="../business/Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a>&gt;</span>&nbsp;<span class="member-name">recupererSeries</span>()</div>
</section>
</li>
<li>
<section class="detail" id="recupererSerie(java.lang.Long)">
<h3>recupererSerie</h3>
<div class="member-signature"><span class="return-type"><a href="../business/Serie.html" title="class in fr.humanbooster.fx.gestion_de_series.business">Serie</a></span>&nbsp;<span class="member-name">recupererSerie</span>&#8203;(<span class="parameters">java.lang.Long&nbsp;id)</span></div>
</section>
</li>
<li>
<section class="detail" id="trierSeriesParNom()">
<h3>trierSeriesParNom</h3>
<div class="member-signature"><span class="return-type">void</span>&nbsp;<span class="member-name">trierSeriesParNom</span>()</div>
</section>
</li>
<li>
<section class="detail" id="trierSeriesParPrix()">
<h3>trierSeriesParPrix</h3>
<div class="member-signature"><span class="return-type">void</span>&nbsp;<span class="member-name">trierSeriesParPrix</span>()</div>
</section>
</li>
<li>
<section class="detail" id="supprimerSerie(java.lang.Long)">
<h3>supprimerSerie</h3>
<div class="member-signature"><span class="return-type">boolean</span>&nbsp;<span class="member-name">supprimerSerie</span>&#8203;(<span class="parameters">java.lang.Long&nbsp;idSerie)</span></div>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/SerieService.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
